pcl::PiecewiseLinearFunction Class Reference
Module common

This provides functionalities to efficiently return values for piecewise linear function. More...

`#include <pcl/common/piecewise_linear_function.h>`

## Public Member Functions

| PiecewiseLinearFunction (float factor, float offset)
| Constructor. More...
std::vector< float > & | getDataPoints ()
| Get the list of known data points. More...
float | getValue (float point) const
| Get the value of the function at the given point. More...

## Protected Attributes

std::vector< float > | data_points_
float | factor_
float | offset_

## Detailed Description

This provides functionalities to efficiently return values for piecewise linear function.

Definition at line 49 of file piecewise_linear_function.h.

## Constructor & Destructor Documentation

## PiecewiseLinearFunction()

pcl::PiecewiseLinearFunction::PiecewiseLinearFunction | ( | float | factor,
|  | float | offset
| ) |  |

Constructor.

Definition at line 41 of file piecewise_linear_function.hpp.

## Member Function Documentation

## getDataPoints()

std::vector<float>& pcl::PiecewiseLinearFunction::getDataPoints | ( |  | ) |

inline

Get the list of known data points.

Definition at line 59 of file piecewise_linear_function.h.

References data_points_, and getValue().

## getValue()

float pcl::PiecewiseLinearFunction::getValue | ( | float | point | ) | const

inline

Get the value of the function at the given point.

Definition at line 45 of file piecewise_linear_function.hpp.

References data_points_, factor_, and offset_.

Referenced by getDataPoints().

## Member Data Documentation

## data_points_

std::vector<float> pcl::PiecewiseLinearFunction::data_points_

protected

Definition at line 72 of file piecewise_linear_function.h.

Referenced by getDataPoints(), and getValue().

## factor_

float pcl::PiecewiseLinearFunction::factor_

protected

Definition at line 73 of file piecewise_linear_function.h.

Referenced by getValue().

## offset_

float pcl::PiecewiseLinearFunction::offset_

protected

Definition at line 74 of file piecewise_linear_function.h.

Referenced by getValue().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/piecewise_linear_function.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/impl/piecewise_linear_function.hpp